﻿
.contenitoreGeneraleFiltri { width: 97%; padding-left: 0; }
.contenitoreElencoFiltri { width: 96%; height: auto; margin-top: 2vh; margin-bottom: 1vh; }
.contenitoreLeftRightFiltri { width: 4%; margin-top: 2vh; }
.recordLista { height: 5vh; font-size: 1.5vmin; border-bottom: black 1px dashed; width: 100%; float: left; }
.contenutoRecordLista { width: 96%; height: 100%; position: relative; padding-top: .5vh; float: left; }
.contenutoRecordListaColore { width: 95.4% !important; }
.contenutoRecordListaCheck { width: 95% !important; }
.contenutoRecordListaColoreCheck { width: 91.4% !important; }
.valoreElementoLista { width: 96%; padding-top: 1.3vh; overflow: hidden; white-space: nowrap; text-overflow: ellipsis; }

.btnLista { font-size: 1.5vmin; padding: 4px 10px;}

.elementoListaAzioni { width: 2%; }

.checkBoxLista { width: 3.4%; margin-right:0.6%; text-align: center; }
.divColoreLista { width: 0.4%; height: 60%; margin-top: 1.3vh; margin-right: 0.2%; cursor: pointer; }

.contenitoreLista { width: 98%; height: 60vh; padding-left: 0; overflow-y: scroll; }
.contenitoreFooter { width: 97vw; height: 5vh; padding-left: 0; overflow: hidden; }
.footerLista { width: 98%; height: 5vh; background-color: #B3C7D9; }

.contenitoreListaSezione {
    height: 78%;
    padding-bottom: 10px
}

.listaSezione {
    height: 100%;
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: flex-start;
    border: 1px solid lightgray;
    border-radius: 1.5vmin;
    -webkit-box-shadow: 0 8px 12px -4px rgb(105 105 105 / 20%);
    box-shadow: 0 8px 12px -4px rgb(105 105 105 / 20%);
    background-color: var(--bianco);
    padding: 5px 10px;
    overflow: hidden;
}

.etichettaFiltro { float: left; width: 8vw; font-size: 1.8vmin; overflow: hidden; white-space: nowrap; font-weight: bold; }
    .etichettaFiltro div { float: left; }

.etichettaFiltroLabel { font-size: 1.3vmin; padding-top: .4vmin; max-width: 55%; text-overflow: ellipsis; overflow: hidden; }
.etichettaFiltroLabelMin { max-width: 44%; }
.etichettaFiltroIcona { color: #B8BFC2; font-size: 1.5vmin; padding: 0.4vmin 0; cursor: pointer; }
.etichettaFiltroIconaSelezionato { color: black; font-size: 1.5vmin; padding: 0.4vmin 0; cursor: pointer; }
.filtroLabelSize { font-size: 1.5vmin; }
.filtroLista { width: 20vw; }
.filtroListaInput { width: 86%; font-size: 10px; height: 20px; border: 1px solid #E1E1E1; outline: none; padding-left: 0.25vw; padding-top: 0.4vmin; color: black; }
    .filtroListaInput:focus { border: 1px solid #E1E1E1 !important; }
.imgIconLista { width: 3.5vmin; height: 3.5vmin; margin-top: -2vmin; }

.clRecordDesktop { display: block; }
.clRecordTablet { display: block; }

.iconaResetFiltri { width: 2%; margin-top: 5vh; font-size: 2vmin; cursor: pointer; }

.ordAsc { padding-left: 1vmin; padding-right: .5vmin; }

.divAzioniRigaLista {
    float: left;
    width: 100%;
    min-height: 5vh;
    display: none;
    background-color: #263238;
}
.divContenitoreIconaAzioni { margin-right: 1%; margin-left: 1%; margin-top: 1vh; color: white; position: relative; cursor: pointer; float: left;}
    .divContenitoreIconaAzioni img { height: 4.5vh; margin-top: .3vh; }
    .divContenitoreIconaAzioni:hover {
        color: #E30613 !important;
    }

    .divIconaAzioniConEtichetta {
        font-size: 1.5vmin;
        text-align: center;
    }
.etichettaAzioneLista{ float: left; font-size: 1.2vmin;}
.divIconaAzioni { font-size: 2.5vmin; }

.icona { color: #132A36; font-family: 'Dosis', 'Open Sans', sans-serif; font-size: 4vh; vertical-align: middle; display: table; }
.icona_disabilitata { color: #132A36; opacity: 0.2; font-family: 'Dosis', 'Open Sans', sans-serif; font-size: 4vh; vertical-align: middle; display: table; cursor: default; }
.icona_elenco { font-family: 'Open Sans', sans-serif; font-size: 2vmin; vertical-align: middle; display: table; }
.icona_filtri { color: #B8BFC2; font-family: 'Dosis', 'Open Sans', sans-serif; font-size: 3vh; vertical-align: middle; display: table; }

.contenuto_icona { display: table-cell; vertical-align: middle; text-align: center; padding-top: 0.5vh; }
.contenuto_icona_elenco { display: table-cell; vertical-align: middle; text-align: center; }

.icona_click { cursor: pointer; }

.testo_icona { font-size: 0.7vw; }

.sfondoSelect {
    background-color: #E30613; /*#00424e*/
    color: white;
}

.iconScrollOrizzontale { color: black; font-size: 20px; padding: 0.4vmin 0; cursor: pointer; }

.loadingLista { width: 100%; height: 1px; bottom: 0; left: 0; float: left; position: fixed; display: none; opacity: 0.7; z-index: 1; }

.filtroDisabled { opacity: 0.5; cursor: default; }

.filtroInputHide { min-height: 1px; }
    .filtroInputHide input { display: none; }

.round { display: inline-block; height: 25px; width: 25px; line-height: 25px; -moz-border-radius: 12.5px; border-radius: 12.5px; background-color: #222; color: #FFF; text-align: center; font-size: 1.5vmin; }
    .round.hollow { display: inline-block; height: 30px; width: 30px; line-height: 30px; -moz-border-radius: 15px; border-radius: 15px; background-color: #FFF; color: #222; text-align: center; 
                    -webkit-box-shadow: 0px 0px 0px 3px rgba(0,0,0,0.75); -moz-box-shadow: 0px 0px 0px 3px rgba(0,0,0,0.75); box-shadow: 0px 0px 0px 3px rgba(0,0,0,0.75); }
    .round.blue { background-color: #3EA6CE; }
    .round.hollow.blue { color: #3EA6CE; background-color: #FFF; -webkit-box-shadow: 0px 0px 0px 3px #3EA6CE; -moz-box-shadow: 0px 0px 0px 3px #3EA6CE; box-shadow: 0px 0px 0px 3px #3EA6CE; }

.azioniSpecialiFooter { min-width: 6%; font-size: 1.3vmin; margin-left: 1.5vw; background-color: #00BCEE; color: white; text-align: center; margin-top: 1.2vh; cursor: pointer; padding: .2vh .2vw; }
.azioniSpecialiFooterDisabled { min-width: 6%; font-size: 1.3vmin; margin-left: 1.5vw; background-color: #D1DDE8; color: white; text-align: center; margin-top: 1.2vh; cursor: not-allowed; padding: .2vh .2vw; }
.numeroCheckSelezionati { width: 8%; height: 100%; background-color: #e2e2e2; float: left; font-size: 2.3vmin; text-align:center; padding-top: .6vh; }

.chkAll { width: 3.4%; font-size: 1.2vmin; margin-right: 0.6%; background-color: #00BCEE; color: white; text-align: center; margin-top: .4vh; cursor: pointer; }

.iconaSezione{
    font-size:32px;
}
@media only screen and (max-width: 768px) {
    .azioniSpecialiFooter { font-size: 2vmin; }
    .azioniSpecialiFooterDisabled { font-size: 2vmin; }
}

@media only screen and (max-width: 992px) {
    .round { width: 20px; height: 20px; line-height: 20px; font-size: 1.7vmin; margin-top: -5px; }
}


@media only screen and (max-width: 768px) {
    .schedaPopupLaterale { width: 100vw !important;}    
}

@media screen and (max-width: 1200px) and (min-width: 992px) {
    .iconScrollOrizzontale { font-size: 15px; }
}

@media screen and (max-width: 992px) and (min-width: 600px) {
    .contenutoRecordLista { width: 94%; padding-top: .8vh; }
    .contenutoRecordListaColore { width: 93.4% !important; }
    .contenutoRecordListaCheck { width: 90% !important; }
    .contenutoRecordListaColoreCheck { width: 89.4% !important; }
    .contenitoreElencoFiltri { width: 94%; }
    .contenitoreLeftRightFiltri { width: 6%; }

    .elementoListaAzioni { width: 4%; }
    
    .icona_elenco { font-size: 2.3vmin; }

    .clRecord { width: 33% !important; }
    .clRecordDesktop { display: none; }
    .clRecordTablet { display: block; }
            
    .iconScrollOrizzontale { font-size: 15px; }

    .iconaSezione {
        font-size: 32px;
    }

    .filtroListaInput, .recordLista {
        font-size: 9px;
    }
}


@media only screen and (max-width: 600px) {
    .filtroListaInput, .recordLista {
        font-size: 10px;
    }

    .contenutoRecordLista {
        width: 92%;
        /*padding-top: 1.5vh;*/
    }

    .contenutoRecordListaColore {
        width: 91.4% !important;
    }

    .contenutoRecordListaCheck {
        width: 88% !important;
    }

    .contenutoRecordListaColoreCheck {
        width: 86% !important;
    }

    .elementoListaAzioni {
        width: 6%;
    }

    .icona_elenco {
        font-size: 4vmin;
    }

    .clRecord {
        width: 100% !important;
        font-size: 3.5vmin;
    }

    .clRecordMob {
        width: 50% !important;
        font-size: 3.5vmin;
    }

    .clRecordCheck {
        width: 95% !important;
        font-size: 3.5vmin;
    }

    .clRecordDesktop {
        display: none;
    }

    .clRecordTablet {
        display: none;
    }

    .imgIconLista {
        margin-top: -5.5vmin;
    }

    .contenitoreButtonAddLista {
        left: calc(50% - 2.5em);
    }

    .buttonAddLista {
        font-size: 1.5em;
    }

    .valoreElementoLista {
        padding-top: 0;
    }

    .contenitoreElencoFiltri {
        width: 92%;
    }

    .contenitoreLeftRightFiltri {
        width: 8%;
    }

    .etichettaFiltroLabel {
        font-size: 3vmin;
        max-width: 75%;
        text-overflow: ellipsis;
        overflow: hidden;
    }

    .etichettaFiltroIcona {
        font-size: 2.5vmin;
    }

    .etichettaFiltroIconaSelezionato {
        font-size: 2.5vmin;
    }

    .ordAsc {
        padding-left: 2vmin;
        padding-right: 1vmin;
    }

    .iconaResetFiltri {
        font-size: 4vmin;
    }

    .iconScrollOrizzontale {
        font-size: 13px;
    }

    .schedaPopupLaterale {
        width: 100vw !important;
    }

    .divIconaAzioniConEtichetta {
        font-size: 2vmin;
    }

    .etichettaAzioneLista {
        float: left;
        font-size: 1.5vmin;
    }

    .round {
        width: 15px;
        height: 15px;
        line-height: 15px;
        font-size: 2.5vmin;
    }

    .content:first-child {
        padding-top: 5px !important;
    }

    .content {
        padding: 0 5px 0px 5px !important;
    }

    .iconaSezione {
        font-size: 25px;
    }
}